> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create topic



## OpenAPI

````yaml https://app.mavel.ai/api/v1/openapi.json post /topics
openapi: 3.0.3
info:
  title: Mavel REST API
  version: v1
  description: >-
    REST API for Mavel. Authentication: pass `X-API-Key: <key>` header.
    Rate-limited at 200 req/min/project. Plan tier: Enterprise (or Scale+ on
    Agency tier).
servers:
  - url: /api/v1
security:
  - ApiKeyAuth: []
paths:
  /topics:
    post:
      tags:
        - Topics
      summary: Create topic
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  topic_id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  country_code:
                    type: string
                    nullable: true
                  created_at:
                    type: string
                    format: date-time
                required:
                  - topic_id
                  - name
                  - country_code
                  - created_at
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````